\ ADC register bits

\ *** Multiplexer Selection Register - ADMUX 

hex
7C constant ADMUX

\ Bit 7:6 – REFS1:0: Voltage Reference Selection Bits
\ 0 0 --> AREF, Internal Vref turned off

\ Bit 5 – ADLAR: ADC Left Adjust Result
\ 0 --> right adjusted

\ Bits 4:0 – MUX4:0: Analog Channel Selection Bits
\ 00xxx single ended input; 
\  %000 --> ADC0
\   ... 
\  %111 --> ADC7 



\ *** ADC Control and Status Register B – ADCSRB
\ not used since no auto trigger 

\ 7B constant ADCSRB

\ Bit 7 – Res: Reserved Bit
\ has to be set to 0

\ Bits 6:3 – Res: Reserved Bit
\ nc

\ Bit 2:0 – ADTS2:0: ADC Auto Trigger Source
\ 0 0 0 --> free running mode



\ *** ADC Control and Status Register A – ADCSRA

7A constant ADCSRA

ADCSRA 7 bit: ADEN  \ ADC Enable
\ 1 --> enable

ADCSRA 6 bit: ADSC  \ ADC Start Conversion
\ 1 --> start

\ Bit 5 – ADATE: ADC Auto Trigger Enable
\ 1 --> enable
\ Select trigger source with Trigger Select bits ADTS in ADCSRB.

ADCSRA 4 bit: ADIF  \ ADC Interrupt Flag
\ Set when an ADC conversion completes and the Data Registers are updated.

\ Bit 3 – ADIE: ADC Interrupt Enable
\ 1 --> enable

\ Bits 2:0 – ADPS2:0: ADC Prescaler Select Bits
\ 0 0 0 --> factor 2
\ XTAL frequency to input clock to the ADC.



\ *** ADC Data Register – ADCL and ADCH
\ ADC9:0: ADC Conversion Result
\ These bits represent the result from the conversion.

79 constant ADCH  \ data register high byte
78 constant ADCL  \ data register low byte; read low byte first



\ *** Digital Input Disable Register0 – DIDR0

7E constant DIDR0  \ FF --> enable analog input.

\ Bit 7..0 – ADC7D..ADC0D: ADC7..0 Digital Input Disable
\ On logic one digital input buffer is disabled.


\ finis